
Discovery - Refactor #32411

Remove the old Setting class, which now only holds helper methods

04/24/2021 08:38 PM - Ondřej Ezr

Status: New   

Priority: Normal   

Assignee:    

Category: Discovery plugin   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

https://github.com/theforeman/foreman_discovery/pull/564 removed usage of deprecated settings, but kept Setting::Discovery with

helpers within it, we should get rid of that.

Related issues:

Related to Discovery - Refactor #34677:  Use new DSL to define settings Closed

Blocked by Foreman - Tracker #29939: Improve setting definition DSL and move ... Closed

History

#1 - 04/24/2021 08:38 PM - Ondřej Ezr

- Blocked by Tracker #29939: Improve setting definition DSL and move setting registry to memory added

#2 - 06/03/2022 07:02 AM - Ondřej Ezr

- Subject changed from Use new DSL to define settings to Remove the old Setting class, which now only holds helper methods

- Description updated

#3 - 06/03/2022 07:02 AM - Ondřej Ezr

- Related to Refactor #34677:  Use new DSL to define settings added
